-- LuaTools需要PROJECT和VERSION这两个信息
PROJECT = "air201_ccdemo"
VERSION = "1.0.0"

pm.ioVol(pm.IOVOL_ALL_GPIO, 1800)
-- 引入必要的库文件(lua编写), 内部库不需要require
_G.sys = require "sys"
_G.sysplus = require "sysplus"
-- 开机防抖
pm.power(pm.PWK_MODE, true)

-- _G.pcb = require "pcb"

-- pa，默认是高的，先关掉，去除没用的耗电
gpio.setup(23, 0)

-- -- es8311，有用，但先关一下，确保初始化的时候是低电平
-- gpio.setup(pcb.es8311PowerPin(), 0)

-- -- 默认进LIGHT模式
-- pm.request(pm.LIGHT)

if cc and audio then
    _G.calling = require "calling"
else
    log.warn("main", "当前底层不支持VoLTE,关闭呼叫功能")
end

-- 用户代码已结束---------------------------------------------
-- 结尾总是这一句
sys.run()
